Name:           httptunnel
Version:        3.3
Release:        10%{?dist}
Summary:        Tunnels a data stream in HTTP requests

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.nocrew.org/software/httptunnel.html
#use debian repackage tarball, it doesn't include non-free documentation files
Source0:        http://ftp.de.debian.org/debian/pool/main/h/httptunnel/httptunnel_%{version}+dfsg.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
HTTPTunnel creates a bidirectional virtual data stream tunnelled in
HTTP requests. The requests can be sent via a HTTP proxy if so desired.


%prep
%setup -q

recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        mv -f "${1}_" "$1"
}
recode AUTHORS iso-8859-15
recode ChangeLog iso-8859-15

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING DISCLAIMER FAQ HACKING NEWS README TODO
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.3-5
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 3.3-4
- move recode bits to %%prep
- Use debian tarball as upstream tarball, solves non-free docs issue
- add doc files
* Sun Nov 11 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 3.3-3
- Update License tag to GPLv2
- Make sure all files are encoded with UTF-8
* Wed Jun 06 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 3.3-2
- Fix incoherent version in changelog
* Mon May 07 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 3.3-1
- Initial build
